// Copyright 2016 CERN and GSI
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <silecs-communication/interface/core/SilecsService.h>
#include <silecs-communication/interface/core/Context.h>
#include <silecs-communication/interface/equipment/SilecsDevice.h>
#include <silecs-communication/interface/utility/SilecsLog.h>

namespace Silecs
{
		Context::Context(Device* pDev, bool isForSynchronization):
			pDevice_(pDev), isForSynchro_(isForSynchronization)
		{
			//LOG(ALLOC) << "Context (create) for Device: " << pDevice_->getLabel() << ", isForSynchronization: " <<  (isForSynchro_ ? "yes" : "no");
		}

		Context::~Context()
		{
			//LOG(ALLOC) << "Context (delete) for Device: " << pDevice_->getLabel()  << ", isForSynchronization: " <<  (isForSynchro_ ? "yes" : "no");
		}

} // namespace

