// Copyright 2016 CERN and GSI
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <silecs-diagnostic/headerinformations.h>

HeaderInformations::HeaderInformations()
{
}

// String setter
void HeaderInformations::setheaderRelease(std::string headerRelease)
{
    this->headerRelease = headerRelease;
}

void HeaderInformations::setheaderOwner(std::string headerOwner)
{
    this->headerOwner = headerOwner;
}

void HeaderInformations::setheaderDate(std::string headerDate)
{
    this->headerDate = headerDate;
}

void HeaderInformations::setHeaderChecksum(std::string HeaderChecksum)
{
    this->HeaderChecksum = HeaderChecksum;
}


// String getter
std::string HeaderInformations::getheaderRelease()
{
    return this->headerRelease;
}

std::string HeaderInformations::getheaderOwner()
{
    return this->headerOwner;
}

std::string HeaderInformations::getheaderDate()
{
    return this->headerDate;
}

std::string HeaderInformations::getHeaderChecksum()
{
    return this->HeaderChecksum;
}
